<?php
//
// Copyright (c) 2008-2009 Nagios Enterprises, LLC.  All rights reserved.
//  
// $Id: upgrade.php 88 2010-04-12 21:37:21Z egalstad $

require_once(dirname(__FILE__).'/config.inc.php');
require_once(dirname(__FILE__).'/includes/auth.inc.php');
require_once(dirname(__FILE__).'/includes/utils.inc.php');
require_once(dirname(__FILE__).'/includes/pageparts.inc.php');

// initialization stuff
pre_init();

// start session
init_session();

// grab GET or POST variables 
grab_request_vars();

// check prereqs
check_prereqs();


route_request();

function route_request(){
	global $request;
	
	if(upgrade_needed()==false || is_admin()==false){
		header("Location: ".get_base_url());
		exit();
		}
	
	$pageopt=get_pageopt("");
	
	switch($pageopt){
		case "upgrade":
			do_upgrade();
			break;
		default:
			show_upgrade();
			break;
		}

	}

function show_upgrade($error=false,$msg=""){
	global $cfg;
	global $request;
	global $lstr;
	

	// page start
	do_page_start(array("page_title"=>$lstr['UpgradePageTitle']));

?>
	<h1><?php echo $lstr['UpgradePageHeader'];?></h1>
	
<?php
	display_message($error,"",$msg);
?>

	<p><?php echo $lstr['UpgradePageMessage'];?></p>


	<form id="manageOptionsForm" method="post" action="<?php echo htmlentities($_SERVER['PHP_SELF']);?>">

	
	<input type="hidden" name="upgrade" value="1">
	
	<!--
	<div class="sectionTitle"><?php echo $lstr['GeneralProgramSettingsSectionTitle'];?></div>

	<table class="manageOptionsTable">

	<tr>
	<td>
	<label for="urlBox"><?php echo $lstr['ProgramURLText'];?>:</label><br class="nobr" />
	</td>
	<td>
	<input type="text" size="45" name="url" id="urlBox" value="<?php echo encode_form_val($url);?>" class="textfield" /><br class="nobr" />
	</td>
	<tr>
	

	</table>
	//-->




	<div id="formButtons">
	<input type="submit" class="submitbutton" name="updateButton" value="<?php echo $lstr['UpgradeButton'];?>" id="updateButton">
	</div>
	

	<!--</fieldset>-->
	</form>
	
<?php
	// page end
	do_page_end();
	
	exit();
	}

	
function do_upgrade(){
	global $lstr;

	// get values
	//$url=grab_request_var("url","");

	// check for errors
	$errors=0;
	$errmsg=array();
	
	
	
	// set installation flags
	set_db_version();
	set_install_version();
		
	show_upgrade_complete();
	}
	



function show_upgrade_complete($error=false,$msg=""){
	global $lstr;
	
	// display page
	do_page_start($lstr['UpgradeCompletePageTitle']);
?>
	<h1><?php echo $lstr['UpgradeCompletePageHeader'];?></h1>
<?php	
	display_message($error,false,$msg);
?>

	<p>
	<?php echo $lstr['UpgradeCompletePageMessage'];?>
	</p>

	<p>
	<a href="index.php"><b>Continue</b></a>
	</p>
	

<?php

	do_page_end();
	exit();
	}
	
	

?>


